import '@/assets/css/main.css'
import "@/assets/css/common.less"
import 'animate.css';

import { createApp } from 'vue'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from '@/router/index.ts'
import http from "@/utils/http.js"


const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(createPinia())
app.use(router)
app.use(ElementPlus)
app.config.globalProperties.$http = http
app.mount('#app')
